용어집 용어 수 초과
이 문제가 발생하면 API는 422 Unprocessable Content 응답을 반환합니다. 응답의 type 값은 https://lingo.dev/docs/api/errors/glossary-terms-batch-too-large입니다. 모든 오류에 공통으로 적용되는 형식은 오류 및 상태 코드를 참고하세요.
요청당 용어는 최대 2개까지 허용됩니다. 전달된 용어는 2개입니다. 일괄 요청을 여러 요청으로 나누세요.
필드#
응답 본문에는 표준 항목인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로, 클라이언트에서 자체 문구를 대신 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
limit | integer |
received | integer |
예시#
json
{
"detail": "At most 2 terms per request, got 2. Split the batch into several requests.",
"limit": 2,
"received": 2,
"type": "https://lingo.dev/docs/api/errors/glossary-terms-batch-too-large",
"status": 422,
"title": "Too many glossary terms"
}이 오류를 반환하는 엔드포인트#
POST /v2/glossaries/{glossaryId}/terms/create-manyPOST /v2/glossaries/{glossaryId}/terms/delete-manyPOST /v2/glossaries/{glossaryId}/terms/update-many